Bug 138940 - Trying to load a USB external Hard drive
Trying to load a USB external Hard drive
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2004-11-11 19:44 EST by Brian
Modified: 2015-01-04 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-10-02 20:08:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Brian 2004-11-11 19:44:37 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; rv:1.7.3) Gecko/20041020

Description of problem:
Trying to load a USB Hard drive and I get the following error

Nov 11 07:45:10 Penguin1 kernel: usbcore: registered new driver
Nov 11 07:45:10 Penguin1 kernel: USB Mass Storage support registered.
Nov 11 07:45:10 Penguin1 hald[3409]: Timed out waiting for hotplug
event 340. Rebasing to 340
Nov 11 07:45:10 Penguin1 kernel: program python is using a deprecated
SCSI ioctl, please convert it to SG_IO
Nov 11 07:46:46 Penguin1 su(pam_unix)[7676]: session opened for user
root by cmdrunix(uid=500)
Nov 11 07:47:17 Penguin1 kernel: usb 1-5: USB disconnect, address 4
Nov 11 07:47:28 Penguin1 kernel: usb 1-6: new high speed USB device
using address 5
Nov 11 07:47:29 Penguin1 kernel: scsi4 : SCSI emulation for USB Mass
Storage devices
Nov 11 07:47:34 Penguin1 wait_for_sysfs[7763]: either wait_for_sysfs
(udev 039) needs an update to handle the device
'/devices/pci0000:00/0000:00:02.2/usb1/1-6/1-6:1.0' properly (no bus
device link) or the sysfs-support of your device's driver needs to be
fixed, please report to <linux-hotplug-devel@lists.sourceforge.net>
Nov 11 07:47:44 Penguin1 hal.hotplug[7785]: timout(10000 ms) waiting
for /devices/pci0000:00/0000:00:02.2/usb1/1-6/1-6:1.0

Also when the device is plugged in lsusb, usbview cat /proc/bus/usb
all hang at the cli and can't be killed even with a kill -9

Version-Release number of selected component (if applicable):
kernel-2.6.9-667 udev-039-10

How reproducible:

Steps to Reproduce:
1. Plug in device

Actual Results:  USB devices freeze including usb commanda

Expected Results:  Drive should get a /dev/sd* and be able to mount

Additional info:
Comment 1 Harald Hoyer 2004-11-12 05:02:46 EST
that is the kernel...
Comment 2 Dave Jones 2005-07-15 15:29:43 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 3 Dave Jones 2005-10-02 20:08:10 EDT
This bug has been automatically closed as part of a mass update.
It had been in NEEDINFO state since July 2005.
If this bug still exists in current errata kernels, please reopen this bug.

There are a large number of inactive bugs in the database, and this is the only
way to purge them.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.